#pragma once
#include <string>
#include <yaml-cpp/yaml.h>

namespace kubecontrol
{
    class kubecontrol
    {
        
        public:
            kubecontrol(std::string pathToKubectlConfig);
            void getPods();
            void startPod();
            void deletePod(std::string uid);
            std::string createYAML();


        private: 
            std::string BearerToken_;    
            std::string ServerAddress_;    
            std::string NameSpace_;    


    };
}